
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <kapplication.h>
#include "configdialog.h"

#include <iostream>
using namespace std;

int main( int argc, char ** argv )
{
	KAboutData about( "configapp", 0, ki18n("Config Application for the nmm backend"),
			"0.1", ki18n("Testprogram"),
			KAboutData::License_LGPL);
	about.addAuthor( ki18n("Bernhard Fuchshumer"), KLocalizedString(), "fub@motama.com" );
	KCmdLineArgs::init( argc, argv, &about );

	KApplication a;
	ConfigDialog config();

	a.setMainWidget( &config );
	config.show();

	return a.exec();
}

